/* 	==========================================================================
	// Heading
   	//
   	// Markup: heading.html
   	//
   	// Style guide: Base.Heading
   	========================================================================= */

		h1, h2, h3, h4, h5, h6,
		%h1, %h2, %h3, %h4, %h5, %h6
		{
			margin-top: $double-space;
			margin-bottom: $single-space;

			text-rendering: optimizelegibility;
			word-wrap: break-word;

			small
			{
				display: block;
				font-family: $font-family;
				font-size: 60%;
			}
		}

		h1, %h1
		{
			@include setType($h1-font-size, $h1-line-height, $h1-font-weight);
		}

		h2, %h2
		{
			@include setType($h2-font-size, $h2-line-height, $h2-font-weight);
		}

		h3, %h3
		{
			@include setType($h3-font-size, $h3-line-height, $h3-font-weight);
		}

 		h4, %h4
		{
			@include setType($h4-font-size, $h4-line-height, $h4-font-weight);
		}

		h5, %h5
		{
			@include setType($h5-font-size, $h5-line-height, $h5-font-weight);
		}

		h6, %h6
		{
			@include setType($h6-font-size, $h6-line-height, $h6-font-weight);
		}